%define add_to_doc_files() \
	mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}; \
	cp -p %1  %{buildroot}%{_docdir}/%{name}-%{version}/$(echo '%1' | sed -e 's!/!.!g') \
	echo %%{_docdir}/%{name}-%{version}/$(echo '%1' | sed -e 's!/!.!g') >> docfiles.list

## Don't use Pango: Moblin Bug 4346 - Anjal can't display Chinese
## chars in mail body
## http://bugzilla.moblin.org/show_bug.cgi?id=4346

Name:		WebKit
Version:	1.1.10
Release:	5.1.moblin2
Summary:	Web content engine library

Group:		Development/Libraries
License:	LGPLv2+ and BSD
URL:		http://webkit.org/

Source0:	WebKit-%{version}.tar.bz2

# Moblin specific patches
Patch0:		WebKit-Anjal.patch

# Moblin backported patches
Patch10:	mb6102-2c0cd9d0-Gustavo-Noronha-Silva-gustavo.noronha.patch
Patch11:	CVE-2009-1712-changeset_r41568.diff
Patch12:	CVE-2009-1725-changeset_r44799.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gperf
BuildRequires:	gtk2-devel
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	libxslt-devel
BuildRequires:	libXt-devel
BuildRequires:	pcre-devel
BuildRequires:	sqlite-devel
BuildRequires:  libsoup-devel >= 2.23
BuildRequires:  gstreamer-devel
BuildRequires:  gst-plugins-base-devel

BuildRequires:	cairo-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel

BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	enchant-devel

%description 
WebKit is an open source web browser engine.

%package	gtk
Summary:	GTK+ port of WebKit 
Group:		Development/Libraries
Requires:	enchant

%description	gtk
%{name} is an open-source Web content engine library. This package contains
the shared libraries for the WebKit GTK+ port as well as the sample
GtkLauncher tool. 


%package	gtk-devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	pkgconfig
Requires:	gtk2-devel

%description	gtk-devel
The %{name}-gtk-devel package contains libraries, build data, and header
files for developing applications that use %{name}-gtk.
Please note that the WebKit/GTK+ API is not yet stable. This should
only be used as a "preview" rather than a stable platform library.


%prep
%setup -qn "%{name}-%{version}"
%patch0 -p1 -b .WebKit-Anjal.patch
%patch10 -p1
%patch11 -p1
%patch12 -p1


%build
%configure

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}
install -m 755 Programs/GtkLauncher %{buildroot}%{_libexecdir}/%{name}

## Finally, copy over and rename the various files for %%doc inclusion.
rm -f docfiles.list
%add_to_doc_files JavaScriptCore/COPYING.LIB
%add_to_doc_files JavaScriptCore/icu/LICENSE
%add_to_doc_files WebKit/LICENSE
%add_to_doc_files WebCore/LICENSE-APPLE
%add_to_doc_files WebCore/LICENSE-LGPL-2.1
%add_to_doc_files WebCore/icu/LICENSE

%add_to_doc_files JavaScriptCore/icu/README

%add_to_doc_files JavaScriptCore/AUTHORS
%add_to_doc_files JavaScriptCore/pcre/AUTHORS   

%add_to_doc_files JavaScriptCore/THANKS
   
%find_lang webkit
mv webkit.lang pkg-files
cat docfiles.list >> pkg-files


%clean
rm -rf %{buildroot}


%post	gtk -p /sbin/ldconfig


%postun	gtk -p /sbin/ldconfig


%files	gtk -f pkg-files
%defattr(-,root,root,-)
%doc
%{_bindir}/jsc
%{_libdir}/libwebkit-1.0.so.*
%{_libexecdir}/WebKit/

%files	gtk-devel
%defattr(-,root,root,-)
%exclude %{_libdir}/*.la
%{_datadir}/webkit-1.0
%{_includedir}/webkit-1.0
%{_libdir}/libwebkit-1.0.so
%{_libdir}/pkgconfig/webkit-1.0.pc
%changelog
* Fri Oct 16 2009 Yan Li <yan.i.li@intel.com> - 1.1.10
- CVE-2009-1712, CVE-2009-1725 (MB#6431)
* Fri Sep 18 2009 Yan Li <yan.i.li@intel.com> - 1.1.10
- Fixed defect: Mail body cannot display well in tab (MB#6102)
* Thu Jul 23 2009 Yan Li <yan.i.li@intel.com> - 1.1.10
- Fixed defect: Anjal can't display Chinese chars in mail body
  (#4346), using FreeType backend instead of Pango, which was
  considered obsoleted for WebKit
- SPEC file cleanup: SVG support is now enabled by default, WML is not
  needed for Moblin
* Thu Jul  9 2009 Yan Li <yan.i.li@intel.com> - 1.1.10
- Update to latest release
- Drop WebKit-CVE-2009-0945.patch that already in upstream tarball
- Fixed small RPMLINT warnings
- Dropped unnecessary doc package, doc files merged to main package
* Tue Jun 30 2009 Passion Zhao <passion.zhao@intel.com> - 1.1.5-2
- Add WebKit-CVE-2009-0945.patch
* Tue May 12 2009 Damien Lespiau <damien.lespiau@intel.com> 1.1.5
- Add the Anjal patch, rebased on r42533
* Wed Apr 15 2009 Ding Jian-feng <jian-feng.ding@intel.com> 1.1.5
- Update to the latest nightly release version, r42533, 1.1.5
* Tue Mar 31 2009 Ding Jian-feng <jian-feng.ding@intel.com> 1.1.4
- Update to the latest nightly release version, r42114, 1.1.4
* Fri Feb  6 2009 Anas Nashif <anas.nashif@intel.com> 1.1.0
- Initial import into Moblin from Fedora
